package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.MwfData;

import java.util.Map;
import java.util.HashMap;

public class MWF431Data implements MwfData {

    private Map<String, Object> params = new HashMap<>();
    
    private MWF431Data() {}

    public static MWF431Data builder() {
        return new MWF431Data();
    }

    public MWF431Data rsCmid(String rsCmid) {
        params.put("RS_CMID", rsCmid);
        return this;
    }

    public MWF431Data rsDocumenttype(String rsDocumenttype) {
        params.put("RS_DOCUMENTTYPE", rsDocumenttype);
        return this;
    }

    public MWF431Data rsPagenumber(Long rsPagenumber) {
        params.put("RS_PAGENUMBER", rsPagenumber);
        return this;
    } 

    public Map<String, Object> getParams() {
        return params;
    }

}
